Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#25098 - [hdf5] Enable CXX binding for hdf5

Attached to Project: Arch Linux
Opened by David Shih (rwarlord) - Sunday, 10 July 2011, 20:45 GMT
Last edited by Andrea Scarpino (BaSh) - Monday, 05 March 2012, 08:42 GMT
Task Type Feature Request
Category Packages: Extra
Status Closed
Assigned To Ronald van Haren (pressh)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
libhdf5_cpp.so is not built in the hdf5 1.8.7-1 package
Please enable it by the configure flag:
--enable-cxx

Additional info:
* hdf5 1.8.7-1

Steps to reproduce:
locate libhdf5_cpp.so
This task depends upon

Closed by  Andrea Scarpino (BaSh)
Monday, 05 March 2012, 08:42 GMT
Reason for closing:  Duplicate
Additional comments about closing:   FS#28581 
Comment by Ronald van Haren (pressh) - Tuesday, 12 July 2011, 14:26 GMT
The usage of thread safety and the c++ interface together is not supported by upstream. You can override this but I suppose there is a good reason why it is not supported.

I won't remove thread safety so I probably won't add the config flag you suggested.
Comment by Dmitriy M (foxcub) - Friday, 05 August 2011, 17:18 GMT
From this discussion [1], it seems that the two are not supported simultaneously to avoid confusion. The two options don't actually conflict in any way, but some users get confused by assuming that everything is thread-safe when the flag is enabled, rather than just the C API.

I have a pretty serious need for the C++ interface to HDF5, so I was hoping you can include it despite this minor issue. You could always add a warning when the package is installed saying that only C API is thread-safe, not FORTRAN, nor C++.

[1] http://hdf-forum.184993.n3.nabble.com/hdf-forum-HDF5-enable-cxx-enable-threadsafe-conflict-ubuntu-debian-packages-td194242.html
Comment by Nicolas Bigaouette (big_gie) - Friday, 17 February 2012, 18:57 GMT
I need fortran binding in hdf5 so would like to see it compiled with "--enable-fortran". But the flag also "conflicts" with "--enable-threadsafe".

Loading...